Bug 1897090 - fapolicyd breaks system upgrade, leaving system in dead state - complete fix [rhel-8.3.0.z]
Summary: fapolicyd breaks system upgrade, leaving system in dead state - complete fix ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: fapolicyd
Version: 8.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 8.0
Assignee: Radovan Sroka
QA Contact: Dalibor Pospíšil
Jan Fiala
URL:
Whiteboard:
Depends On: 1896875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-12 09:51 UTC by RHEL Program Management Team
Modified: 2020-12-01 11:25 UTC (History)
28 users (show)

Fixed In Version: fapolicyd-1.0-3.el8_3.3
Doc Type: Bug Fix
Doc Text:
.`fapolicyd` no longer prevents RHEL updates When an update replaces the binary of a running application, the kernel modifies the application binary path in memory by appending the " (deleted)" suffix. Previously, the `fapolicyd` file access policy daemon treated such applications as untrusted, and prevented them from opening and executing any other files. As a consequence, the system was sometimes unable to boot after applying updates. With the release of the https://access.redhat.com/errata/RHBA-2020:5242[RHBA-2020:5242] advisory, `fapolicyd` ignores the suffix in the binary path so the binary can match the trust database. As a result, `fapolicyd` enforces the rules correctly and the update process can finish.
Clone Of: 1896875
Environment:
Last Closed: 2020-11-30 10:55:49 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:5242 0 None None None 2020-11-30 10:55:55 UTC

Comment 22 errata-xmlrpc 2020-11-30 10:55:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (fapolicyd bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5242


Note You need to log in before you can comment on or make changes to this bug.